Bug 1302890 - Ability to add custom column in business central for Process List and Task list screens
Ability to add custom column in business central for Process List and Task li...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: DR2
: 6.3.0
Assigned To: Neus Miras
Pavel Kralik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 16:52 EST by Cojan van Ballegooijen
Modified: 2016-03-11 12:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cojan van Ballegooijen 2016-01-28 16:52:01 EST
Description of problem:
A potential BPM Suite customer would like to have the ability to add custom columns to the Process list and task list

Version-Release number of selected component (if applicable):
6.2.0

How reproducible:
See http://localhost:8080/business-central

Steps to Reproduce:
1. Go to menu option Tasks
2. Select Tasks List option
3. Click the show/hide columns button

Actual results:
One can select to show the following columns:
Id
Description
Process Name
Process Id
Priority
Status
CreatedOn
DueOn

Expected results:
Would be nice to have the ability to add custom column

Additional info:
Comment 2 Neus Miras 2016-02-19 09:26:31 EST
Since the 6.3.0 version the user has the ability to add task variables and process instances variables as a selectable columns to be displayed at the lists.

The way to activate these 'extra columns' is create an special custom filter that includes an specific restriction: in the case of the process instance list the restriction expected is 'PROCESSID equals to ..' and in the task list 'NAME equals to..'

If this issue is related with another kind of custom columns, we would need more information about them, like what kind of information they want to show in that columns, or how could be the UI for those columns definitions
Comment 3 Neus Miras 2016-02-22 09:56:48 EST
I close feel free to reopen the BZ with these new custom columns definitions
Comment 4 Cojan van Ballegooijen 2016-02-29 07:28:12 EST
Task variables and process instance variable are great to see appear in 6.3.0.
Will this work for complex types as well (like Objects)?
Comment 5 Pavel Kralik 2016-03-11 12:28:29 EST
BPMS 6.3.0.DR2

Note You need to log in before you can comment on or make changes to this bug.